Bug 141749 - Patch for updating devel/boost-* to 1.41
Patch for updating devel/boost-* to 1.41
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-18 14:00 UTC by churanov.port.maintainer
Modified: 2009-12-29 14:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description churanov.port.maintainer 2009-12-18 14:00:11 UTC
The patch for updating devel/boost-* ports from 1.39 to 1.41 (current version) is available at http://alexanderchuranov.com/boost-port/boost-from-1.39-to-1.41-2009-12-15-20-31.diff

The following ports were tested on i386 with the updated boost:

audio/gx2osd 
audio/py-tagpy 
devel/luabind 
dns/powerdns-recursor 
editors/abiword-plugins 
editors/pdfedit 
games/allacrost 
games/flyhard 
games/galaxyhack 
games/lordsawar 
games/mkhexgrid 
games/plee-the-bear 
games/pokerth 
games/secretmaryochronicles 
graphics/aqsis 
misc/metalink-tools 
multimedia/bmpx 
net-p2p/deluge 
net-p2p/rblibtorrent 
print/lyx 
print/lyx15 
science/avogadro 
science/peekabot 
x11-toolkits/gigi

They all were built successfully. The ports tree was updated from CVS just before re-building packages.

The patch includes:

1) Updating devel/boost-* ports to 1.41
2) Separating Boost.Pyste into a new port devel/boost-pyste. The makefile variable for conditional inclusion of this library was removed. The variable was not visible in the OPTIONS framework.
3) Patching graphics/aqsis and net-p2p/rblibtorrent to work correctly with updated Boost.

Fix: 

http://alexanderchuranov.com/boost-port/boost-from-1.39-to-1.41-2009-12-15-20-31.diff
How-To-Repeat: Checkout the ports tree and verify that devel/boost-libs has version 1.39, then goi to http://boost.org and verify that current version is 1.41.
Comment 1 pav freebsd_committer 2009-12-18 23:13:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 2 pav freebsd_committer 2009-12-29 13:49:38 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter freebsd_committer 2009-12-29 13:50:53 UTC
pav         2009-12-29 13:50:29 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
    devel/boost-all      Makefile common.mk 
    devel/boost-docs     Makefile distinfo pkg-plist 
    devel/boost-jam      Makefile distinfo 
    devel/boost-libs     Makefile distinfo pkg-plist 
    devel/boost-libs/files patch-Jamroot 
                           patch-boost_test_impl_execution_monitor.ipp 
                           patch-tools_build_v2_tools_common.jam 
    devel/boost-python-libs Makefile distinfo pkg-descr pkg-plist 
    devel/boost-python-libs/files patch-Jamroot 
                                  patch-tools_build_v2_tools_common.jam 
  Added files:
    devel/boost-libs/files 
                           patch-boost_archive_shared_ptr_helper.hpp 
    devel/boost-pyste    Makefile distinfo pkg-descr pkg-plist 
    devel/boost-pyste/files patch-Jamroot 
                            patch-tools_build_v2_tools_common.jam 
                            patch-tools_build_v2_tools_gcc.jam 
                            patch-tools_build_v2_tools_python.jam 
                            patch-tools_jam_src_build.jam 
  Removed files:
    devel/boost-all      sites.mk 
  Log:
  - Update boost to 1.41
  
  PR:             ports/141749
  Submitted by:   Alexander Churanov <churanov.port.maintainer@gmail.com> (maintainer)
  
  Revision  Changes     Path
  1.3729    +1 -0       ports/devel/Makefile
  1.2       +11 -6      ports/devel/boost-all/Makefile
  1.2       +3 -2       ports/devel/boost-all/common.mk
  1.3       +0 -4       ports/devel/boost-all/sites.mk (dead)
  1.2       +0 -1       ports/devel/boost-docs/Makefile
  1.2       +3 -3       ports/devel/boost-docs/distinfo
  1.2       +1388 -850  ports/devel/boost-docs/pkg-plist
  1.2       +1 -2       ports/devel/boost-jam/Makefile
  1.2       +3 -3       ports/devel/boost-jam/distinfo
  1.2       +8 -7       ports/devel/boost-libs/Makefile
  1.2       +3 -3       ports/devel/boost-libs/distinfo
  1.2       +11 -20     ports/devel/boost-libs/files/patch-Jamroot
  1.1       +18 -0      ports/devel/boost-libs/files/patch-boost_archive_shared_ptr_helper.hpp (new)
  1.2       +62 -58     ports/devel/boost-libs/files/patch-boost_test_impl_execution_monitor.ipp
  1.2       +14 -14     ports/devel/boost-libs/files/patch-tools_build_v2_tools_common.jam
  1.2       +516 -175   ports/devel/boost-libs/pkg-plist
  1.1       +60 -0      ports/devel/boost-pyste/Makefile (new)
  1.1       +3 -0       ports/devel/boost-pyste/distinfo (new)
  1.1       +11 -0      ports/devel/boost-pyste/files/patch-Jamroot (new)
  1.1       +17 -0      ports/devel/boost-pyste/files/patch-tools_build_v2_tools_common.jam (new)
  1.1       +29 -0      ports/devel/boost-pyste/files/patch-tools_build_v2_tools_gcc.jam (new)
  1.1       +11 -0      ports/devel/boost-pyste/files/patch-tools_build_v2_tools_python.jam (new)
  1.1       +11 -0      ports/devel/boost-pyste/files/patch-tools_jam_src_build.jam (new)
  1.1       +7 -0       ports/devel/boost-pyste/pkg-descr (new)
  1.1       +66 -0      ports/devel/boost-pyste/pkg-plist (new)
  1.4       +1 -28      ports/devel/boost-python-libs/Makefile
  1.2       +3 -3       ports/devel/boost-python-libs/distinfo
  1.2       +11 -20     ports/devel/boost-python-libs/files/patch-Jamroot
  1.2       +14 -14     ports/devel/boost-python-libs/files/patch-tools_build_v2_tools_common.jam
  1.2       +2 -0       ports/devel/boost-python-libs/pkg-descr
  1.3       +0 -66      ports/devel/boost-python-libs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"